<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Prueba PDF</title>
</head>
<style>
    #logo{
        width: 110px;
    }
    #contenido{
        padding-left: 10px;
        padding-right: 10px;
    }
    #fecha{
        text-align: right;
    }
    .tituloH{
        line-height: 2px;
    }
    table{
        width: 100%;
    }
    #descripcionCotizacion th, #descripcionCotizacion td{
        border: 1px solid black;
        text-align: center;
    }
    #descripcionCotizacion{
        margin-top: 25px;
        margin-bottom: 30px;
    }
    .infoPie{
        width: 300px;
        margin: auto;
        border-top: solid 1px;
        margin-top: 5rem;
        margin-bottom: 3rem;
        padding-top: 11px;
        text-align: center;
    }
    .final{
        text-align: center;
        color: #666;
    }
    #firma{
        text-align: center;
    }
    #firma img{
        width: 60px;
    }
    #cotizacion{
        text-align: right;
    }
    #firma2{
        width: 40px;
    }
    #cotizacion strong{
        color: #c61e1e;
    }
    #tituloR{
        text-align: center;
        margin-top: -35px;
    }
    #tituloS{
        text-align: center;
        margin-top: -15px;
    }
    .firmas{
        display: flex;
    }
</style>
<body>
    <div id="contenido">
        <img id="logo" src="https://laravelrp.com/public/images/logo_concisa.png" alt="Concisa" class="img-fluid">
        <br>
        <br>
        <br>
        <h1 id="tituloR">CONCISA</h1>
        <P id="tituloS">Gerona, Guatemala</P>
        <p id="cotizacion">NOTA DE ENVÍO: <br><strong>{{$info_envio['id']}} - {{$info_envio['referencia']}}</strong></p>
        <p class="tituloH"> Fecha: Guatemala {{$info_envio['dia']}}/{{$info_envio['mes']}}/{{$info_envio['ano']}}</p>
        <p class="tituloH">Señores: <strong>{{$info_envio['cliente']}}</strong> </p>
        
        
        <table id="descripcionCotizacion">
            <thead>
                <tr>
                    <th>CANTIDAD</th>
                    <th>DESCRIPCION DE LOS PRODUCTOS</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{$info_envio['cantidad']}} {{$info_envio['medida']}}</td>
                    <td>{{$info_envio['producto']}}</td>
                </tr>
            </tbody>
            
        </table>
        
        
        <br>
        <div class="firmas">
            <p class="infoPie">Recibí conforme</p>
        </div>
    </div>
</body>
</html>