@extends('layouts.app')

@section('content')
    @extends('ventas.menu')
    <style>
        #catalogo_productos {
            width: 100%;
        }
    </style>
    <form action="{{ route('ventas.guardar_cotizacion') }}" method="POST" onkeydown="return event.key != 'Enter';"
        id="formEnviar">
        @csrf
        <div id="contenedor_interno" class="container-fluid">
            <div class="row ">
                <div class="col-md-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('ventas.dashboard') }}">Cotizaciones</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Nueva</li>
                        </ol>
                    </nav>
                    <button class="botonColor" id="botonEnviar">Guardar</button>
                </div>
                <hr>
                <!--
                                                                      <div class="col-md-12">
                                                                        <a type="button" href="{{ route('ventas.cotizacion') }}" class="botonColor">Imprimir</a>
                                                                        <a type="button" href="{{ route('ventas.cotizacion') }}" class="botonColorNoColor">Confirmar</a>
                                                                        <a type="button" href="{{ route('ventas.cotizacion') }}" class="botonColorNoColor">Cancelar</a>
                                                                      </div>
                                                                      -->
            </div>
        </div>

        <div id="contenedor_contenido" class="container-fluid px-lg-5">
            <div class="row">
                <div class="col-md-12">
                    <h2>Nueva cotización <span id='referencia'></span> <span id='ver_cuenta_corriente'></span></h2>
                </div>
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group form-check">
                                <input type="checkbox" class="form-check-input" id="exampleCheck1" name="facturacion"
                                    value="1">
                                <label class="form-check-label" for="exampleCheck1">Stock</label>
                            </div>
                            <div class="form-group form-check">
                                <input type="checkbox" class="form-check-input" id="exampleCheck2" name="servicios"
                                    value="1">
                                <label class="form-check-label" for="exampleCheck2">Servicios</label>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Cliente </label>
                                <div class="col-sm-8">
                                    <select class="form-control" name="cliente" onchange="infoCliente(this)"
                                        id="exampleFormControlSelect1" required>
                                        <option value="">Seleccione un cliente</option>
                                        @foreach ($clientes as $cliente)
                                            <option value="{{ $cliente['id'] }}">{{ $cliente['nombre'] }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Nit</label>
                                <div class="col-sm-8">
                                    <input type="text" readonly class="form-control-plaintext" id="nit"
                                        value="" placeholder="">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Dirección</label>
                                <div class="col-sm-8">
                                    <input type="text" readonly class="form-control-plaintext" id="direccion"
                                        value="" placeholder="">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Validez de cotización</label>
                                <div class="col-sm-8">
                                    <input type="text" name="validez_cotizacion"
                                        class="form-control-plaintext  daterange-single" value="{{ $date_future }}"
                                        placeholder="">
                                </div>
                            </div>
                        </div>


                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Moneda</label>
                                <div class="col-sm-8">
                                    <select class="form-control" name="id_moneda" id="id_moneda">
                                        <option value="1">Q</option>
                                        <option value="2">$</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Condiciones de pago</label>
                                <div class="col-sm-8">
                                    <select class="form-control" name="condiciones_pago" id="condiciones_pago">
                                        <option>Días de crédito</option>
                                        <option value="1">Contado</option>
                                        <option value="6">8 días</option>
                                        <option value="2">15 días</option>
                                        <option value="3">30 días</option>
                                        <option value="4">45 días</option>
                                        <option value="5">60 días</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Condiciones de entrega*</label>
                                <div class="col-sm-8">
                                    <textarea class="form-control" name="condiciones_entrega" id="" cols="30" rows="4" required></textarea>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Régimen fiscal
                                </label>
                                <div class="col-sm-8">
                                    <select class="form-control" name="regimen_fiscal" id="regimen_fiscal">
                                        <option value="1">Régimen normal</option>
                                        <option value="2">Decreto régimen 2989</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="" class="col-sm-4 col-form-label">Observaciones</label>
                                <div class="col-sm-8">
                                    <input type="text" name="observaciones" class="form-control-plaintext"
                                        value="" placeholder="">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Productos -->
                    <div class="row">
                        <div class="col-md-12">
                            <ul class="nav nav-tabs" id="myTab">
                                <li class="nav-item">
                                    <a href="#home" class="nav-link" data-toggle="tab">Lista del pedido</a>
                                </li>
                                <li class="nav-item">
                                    <a href="#profile" class="nav-link" data-toggle="tab">Otra información</a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane fade" id="home">
                                    <table class="table-responsive">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th scope="col" style='min-width: 500px;'>Descripción de Producto</th>
                                                <th scope="col">Cantidad</th>
                                                <th scope="col">Unidad de medida</th>
                                                <th scope="col">Precio unitario</th>
                                                <th scope="col">Total</th>
                                            </tr>
                                        </thead>
                                        <tbody id="contenedorProductos">
                                            <tr class="producto">
                                                <td>
                                                    <div class="d-flex align-items-center justify-content-center">
                                                        <span class="numerofila"></span><a class='eliminarFila'
                                                            onclick="eliminarFila(this)"><i
                                                                class="far fa-trash-alt"></i></a>
                                                        <button type="button"
                                                            class="btn btn-outline-primary mx-2 btn-rango"
                                                            onclick="toggleModal(this)">
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="16"
                                                                height="16" fill="currentColor"
                                                                class="bi bi-calculator" viewBox="0 0 16 16">
                                                                <path
                                                                    d="M12 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1zM4 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2z" />
                                                                <path
                                                                    d="M4 2.5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.5.5h-7a.5.5 0 0 1-.5-.5zm0 4a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm0 3a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm0 3a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm3-6a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm0 3a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm0 3a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm3-6a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5zm0 3a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5z" />
                                                            </svg>
                                                        </button>
                                                    </div>
                                                </td>
                                                <td>
                                                    <input type="text" id="catalogo_productos" class="producto_nombre"
                                                        required>
                                                    <input type="hidden" class="id_producto" name="id_p[]">
                                                </td>
                                                <td><input type="text" onchange="calcularSubTotal(this)"
                                                        name="cantidad_p[]" class="cantidad" data-cantidad="0" required>
                                                </td>
                                                <td><input class="unidad_medida" type="text"><input class="idMedida"
                                                        name="id_medida[]" type="hidden"></td>
                                                <td><input class="precio_sugerido" type="text" name="precio_p[]"
                                                        onchange="calcularSubTotal(this)"></td>
                                                <td><input type="text" class="subTotal" readonly></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    <br>
                                    <a class="botonColor" onclick="nuevaFila()">Agregar producto</a>
                                    <hr>
                                    <div class="total">
                                        <p>Impuestos: <span id="signo_moneda2">Q</span> <span id="impuestos">0.00</span>
                                        </p>
                                        <p class="mostrarTotal">Total: <span id="signo_moneda">Q</span> <span
                                                id="totalTotal">0.00</span></p>
                                    </div>

                                </div>
                                <div class="tab-pane fade" id="profile">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <br>
                                            <h4>Información de envio</h4>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group row">
                                                <label for="" class="col-sm-4 col-form-label">Almacén</label>
                                                <div class="col-sm-8">
                                                    <input type="text" readonly class="form-control-plaintext"
                                                        value="" placeholder="">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label for="" class="col-sm-4 col-form-label">Política de entrega
                                                </label>
                                                <div class="col-sm-8">
                                                    <input type="text" readonly class="form-control-plaintext"
                                                        value="" placeholder="">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label for="" class="col-sm-4 col-form-label">Fecha de pedido
                                                </label>
                                                <div class="col-sm-8">
                                                    <input type="text" readonly class="form-control-plaintext"
                                                        value="" placeholder="">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group row">
                                                <label for="" class="col-sm-4 col-form-label">Usuario</label>
                                                <div class="col-sm-8">
                                                    <input type="text" readonly class="form-control-plaintext"
                                                        value="" placeholder="">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label for="" class="col-sm-4 col-form-label">Equipo de
                                                    ventas</label>
                                                <div class="col-sm-8">
                                                    <input type="text" readonly class="form-control-plaintext"
                                                        value="" placeholder="">
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label for="" class="col-sm-4 col-form-label">Referencia
                                                    cliente</label>
                                                <div class="col-sm-8">
                                                    <input type="text" readonly class="form-control-plaintext"
                                                        value="" placeholder="">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </form>

    <!-- The Modal -->
    <div class="modal fade" id="priceModal">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Modal Header -->
                <div class="modal-header">
                    <h5 class="modal-title">Precio a aplicar</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal Body -->
                <div class="modal-body text-center">
                    <label class="h5">Nombre de Cliente: <span class="font-weight-bold" id="modal-name-cliente">KOTON
                            TEXTILES</span></label>
                    <br><br>
                    <label class="h1" id="priceLabel">Q.120.00</label>
                    <br><br>
                    <input type="range" class="form-control-range" id="priceRange" min="0" max="2"
                        step="1" value="1" oninput="updatePriceLabel()">
                    <div class="d-flex justify-content-between">
                        <span id="pricePiso">Precio Piso: Q0.00</span>
                        <span id="priceBase">Precio Base: Q0.00</span>
                        <span id="priceTope">Precio Tope: Q0.00</span>
                    </div>
                </div>

                <!-- Modal Footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" onclick="applyPrice()">Aplicar</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </div>

    <link href="{{ asset('js/jquery_ui/jquery-ui.css') }}" rel="stylesheet">
    <script src="{{ asset('js/jquery_ui/jquery-ui.js') }}"></script>
    <script>
        let precioSinIva = 0;
        let activoProductos = 0;
        let activoCliente = 0;
        let moneda = 'Q';
        $('#exampleCheck1').on('change', function() {
            var i = 0;
            $('.producto').each(function() {
                if (i > 0) {
                    $(this).remove();
                } else {

                    $(this).find('.precio_sugerido').val('');
                    $(this).find('.cantidad').val('');
                    $(this).find('.unidad_medida').val('');
                    $(this).find('.idMedida').val('');
                    $(this).find('.subTotal').val('');
                    $(this).find('.producto_nombre').val('');
                }
                i++;
            })
        })
        $('#id_moneda').on('change', function() {
            var tipo_moneda = $(this).val();
            if (tipo_moneda == 2) {
                moneda = '$'
            } else {
                moneda = 'Q';
            }
            $('#signo_moneda').html(moneda);
            $('#signo_moneda2').html(moneda);
            console.log(moneda);
        })

        function nuevaFila() {
            var row = document.getElementsByClassName("producto"); // find row to copy
            var table = document.getElementById("contenedorProductos"); // find table to append to
            var clone = row[0].cloneNode(true); // copy children too
            table.appendChild(clone); // add new row to end of table
            clone.getElementsByClassName('precio_sugerido')[0].value = '';
            clone.getElementsByClassName('cantidad')[0].value = '';
            clone.getElementsByClassName('unidad_medida')[0].value = '';
            clone.getElementsByClassName('idMedida')[0].value = 0;
            clone.getElementsByClassName('subTotal')[0].value = '';
            clone.getElementsByClassName('producto_nombre')[0].value = '';
            $('.numerofila').each(function(key, value) {
                $(this).empty().append(key + 1);
            });
            var totalTotal = 0;
            $(".producto_nombre").autocomplete({
                source: function(request, response) {
                    $.ajax({
                        url: "{{ route('ventas.buscar_producto') }}",
                        dataType: 'json',
                        data: {
                            term: request.term,
                            inventario: $('#exampleCheck1').is(":checked"),
                            servicios: $('#exampleCheck2').is(":checked")
                        },
                        success: function(data) {
                            response(data)
                        }
                    })
                },
                minLength: 2,
                select: function(event, ui) {
                    var padre = $(this).parent().parent();
                    activoProductos++;
                    $(padre).find('.unidad_medida').val(ui.item.unidad);
                    $(padre).find('.idMedida').val(ui.item.id_unidad);
                    $(padre).find('.precio_sugerido').val(ui.item.precio);
                    $(padre).find('.id_producto').val(ui.item.id);
                    if ($('#exampleCheck1').is(":checked")) {
                        var cantidad = ui.item.cantidad;
                        var precio = ui.item.precio;
                        var subtotal = cantidad * precio
                        $(padre).find('.cantidad').val(ui.item.cantidad);
                        $(padre).find('.cantidad').attr('data-cantidad', ui.item.cantidad);
                        if (moneda == '$') {
                            $(padre).find('.subTotal').val('$ ' + subtotal.toFixed(2).replace(
                                /\d(?=(\d{3})+\.)/g, '$&,'));
                        } else {
                            $(padre).find('.subTotal').val('Q ' + subtotal.toFixed(2).replace(
                                /\d(?=(\d{3})+\.)/g, '$&,'));
                        }

                        document.querySelectorAll('.subTotal').forEach(element => {
                            if (moneda == '$') {
                                var purgar_total = element.value.replace(',', '').replace('$', '');
                                console.log('Total2', purgar_total);
                                totalTotal = parseFloat(totalTotal) + parseFloat(purgar_total);
                            } else {
                                var purgar_total = element.value.replace(',', '').replace('Q', '');
                                console.log('Total2', purgar_total);
                                totalTotal = parseFloat(totalTotal) + parseFloat(purgar_total);
                            }

                        });

                        if (precioSinIva == 1) {
                            var impuestos = 0;
                        } else {
                            var impuestos = totalTotal - (totalTotal / 1.12);
                        }

                        document.getElementById('impuestos').innerHTML = impuestos.toFixed(2).replace(
                            /\d(?=(\d{3})+\.)/g, '$&,');
                        document.getElementById('totalTotal').innerHTML = totalTotal.toFixed(2).replace(
                            /\d(?=(\d{3})+\.)/g, '$&,');

                    }
                    if (precioSinIva == 1) {
                        var precio = parseFloat(ui.item.precio);
                        precio = precio / 1.12;
                        $(padre).find('.precio_sugerido').val(precio.toFixed(6));
                    } else {
                        $(padre).find('.precio_sugerido').val(ui.item.precio);
                    }
                }
            })
        }

        function eliminarFila(elemento) {
            var contador = $('.eliminarFila').length;
            console.log(contador);
            if (contador > 1) {
                var parentElem = elemento.parentElement;
                var eliminarElemento = parentElem.parentElement;
                eliminarElemento.parentNode.removeChild(eliminarElemento);

                $('.numerofila').each(function(key, value) {
                    $(this).empty().append(key + 1);
                });
            }

        }

        function formatMoney(number, decPlaces, decSep, thouSep) {
            decPlaces = isNaN(decPlaces = Math.abs(decPlaces)) ? 2 : decPlaces,
                decSep = typeof decSep === "undefined" ? "." : decSep;
            thouSep = typeof thouSep === "undefined" ? "," : thouSep;
            var sign = number < 0 ? "-" : "";
            var i = String(parseInt(number = Math.abs(Number(number) || 0).toFixed(decPlaces)));
            var j = (j = i.length) > 3 ? j % 3 : 0;

            return sign +
                (j ? i.substr(0, j) + thouSep : "") +
                i.substr(j).replace(/(\decSep{3})(?=\decSep)/g, "$1" + thouSep) +
                (decPlaces ? decSep + Math.abs(number - i).toFixed(decPlaces).slice(2) : "");
        }

        function infoCliente(elemento) {
            jQuery(document).ready(function() {
                var token = '{{ csrf_token() }}';
                $.ajax({
                    type: 'POST',
                    url: '{{ route('ventas.buscar_cliente') }}',
                    headers: {
                        'X-CSRF-TOKEN': token
                    },
                    data: {
                        id_cliente: elemento.value,
                    },
                    success: function(data) {
                        console.log(data);
                        if (parseInt(data.mora) > 0) {
                            alert('Cliente tiene una mora de ' + data.mora +
                                ' días, debe ingresar cobro, de lo contrario el nuevo pedido corre riesgo de ser rechazado.'
                            );
                            var link_cuenta = ' <a href="' + data.url +
                                '" target="_blank"><i class="fas fa-search-dollar"></i></a>'
                            $('#ver_cuenta_corriente').append(link_cuenta);
                        }
                        var regimen = "#regimen_fiscal option[value='" + data.tipo_regimen + "']";
                        $('#nit').val(data.nit);
                        $('#direccion').val(data.direccion);
                        $('#referencia').empty().append(' - ' + data.referencia);
                        $("#condiciones_pago").val(data.condiciones_pago).change();
                        $(regimen).prop('selected', true);
                        var regimenNuevo = data.tipo_regimen;
                        if (activoCliente > 0 && activoProductos > 0) {
                            $('.precio_sugerido').each(function() {
                                var padre = $(this).parent().parent();
                                if (precioSinIva == 0 && regimenNuevo == 2) {
                                    var precio = (parseFloat($(this).val()) / 1.12).toFixed(6);
                                } else if (precioSinIva == 1 && regimenNuevo == 0) {

                                    var precio = (parseFloat($(this).val()) * 1.12).toFixed(6);
                                } else {
                                    var precio = (parseFloat($(this).val()));
                                }
                                var cantidad = parseFloat($(padre).find('.cantidad').val());
                                if (cantidad) {
                                    var total = precio * cantidad;
                                    $(this).val(precio);
                                    $(padre).find('.subTotal').val(total.toFixed(2));
                                } else {
                                    $(this).val(precio);
                                }
                            })
                        }
                        activoCliente++;
                        if (regimenNuevo == 2) {
                            precioSinIva = 1;
                        } else {
                            precioSinIva = 0;
                        }

                    }
                });
            });
        }

        function calcularSubTotal(elemento) {
            var padre = elemento.parentElement.parentElement;
            var precio = padre.getElementsByClassName('precio_sugerido')[0].value;
            var cantidad = parseFloat(padre.getElementsByClassName('cantidad')[0].value);
            var subTotal = precio * cantidad;
            var totalImpuesto = 0;
            var totalTotal = 0;

            if ($('#exampleCheck1').is(":checked")) {
                var cantidad_maxima = parseFloat($(elemento).attr('data-cantidad'));

                if (cantidad_maxima < cantidad) {
                    $(elemento).val(cantidad_maxima);
                    alert('No hay suficiente existencia');

                    return false;
                }
            }
            if (moneda == '$') {
                padre.getElementsByClassName('subTotal')[0].value = '$ ' + subTotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g,
                    '$&,');
            } else {
                padre.getElementsByClassName('subTotal')[0].value = 'Q ' + subTotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g,
                    '$&,');
            }

            //Sumar impuestos
            document.querySelectorAll('.subTotal').forEach(element => {
                if (moneda == '$') {
                    var purgar_total = element.value.replace(',', '').replace('$', '');
                    console.log(purgar_total);
                    totalTotal = parseFloat(totalTotal) + parseFloat(purgar_total);
                } else {
                    var purgar_total = element.value.replace(',', '').replace('Q', '');
                    console.log(purgar_total);
                    totalTotal = parseFloat(totalTotal) + parseFloat(purgar_total);
                }

            });
            if (precioSinIva == 1) {
                var impuestos = 0;
            } else {
                var impuestos = totalTotal - (totalTotal / 1.12);
            }

            document.getElementById('impuestos').innerHTML = impuestos.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
            document.getElementById('totalTotal').innerHTML = totalTotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
        }

        $(function() {
            var totalTotal = 0;
            $(".producto_nombre").autocomplete({
                source: function(request, response) {
                    $.ajax({
                        url: "{{ route('ventas.buscar_producto') }}",
                        dataType: 'json',
                        data: {
                            term: request.term,
                            inventario: $('#exampleCheck1').is(":checked"),
                            servicios: $('#exampleCheck2').is(":checked")
                        },
                        success: function(data) {
                            response(data)

                        }
                    })
                },
                minLength: 2,
                select: function(event, ui) {
                    var padre = $(this).parent().parent();
                    activoProductos++;
                    $(padre).find('.unidad_medida').val(ui.item.unidad);
                    $(padre).find('.idMedida').val(ui.item.id_unidad);
                    //Calcular el precio sin IVA
                    if (precioSinIva == 1) {
                        var precio = parseFloat(ui.item.precio);
                        precio = precio / 1.12;
                        $(padre).find('.precio_sugerido').val(precio.toFixed(6));
                    } else {
                        $(padre).find('.precio_sugerido').val(ui.item.precio);
                    }
                    if ($('#exampleCheck1').is(":checked")) {
                        var cantidad = ui.item.cantidad;
                        var precio = ui.item.precio;
                        var subtotal = cantidad * precio
                        $(padre).find('.cantidad').val(ui.item.cantidad);
                        $(padre).find('.cantidad').attr('data-cantidad', ui.item.cantidad);
                        if (moneda == '$') {
                            $(padre).find('.subTotal').val('$ ' + subtotal.toFixed(2).replace(
                                /\d(?=(\d{3})+\.)/g, '$&,'));
                        } else {
                            $(padre).find('.subTotal').val('Q ' + subtotal.toFixed(2).replace(
                                /\d(?=(\d{3})+\.)/g, '$&,'));
                        }

                        document.querySelectorAll('.subTotal').forEach(element => {
                            if (moneda == '$') {
                                var purgar_total = element.value.replace(',', '').replace('$',
                                    '');
                                console.log('Total2', purgar_total);
                                totalTotal = parseFloat(totalTotal) + parseFloat(purgar_total);
                            } else {
                                var purgar_total = element.value.replace(',', '').replace('Q',
                                    '');
                                console.log('Total2', purgar_total);
                                totalTotal = parseFloat(totalTotal) + parseFloat(purgar_total);
                            }

                        });

                        if (precioSinIva == 1) {
                            var impuestos = 0;
                        } else {
                            var impuestos = totalTotal - (totalTotal / 1.12);
                        }

                        document.getElementById('impuestos').innerHTML = impuestos.toFixed(2).replace(
                            /\d(?=(\d{3})+\.)/g, '$&,');
                        document.getElementById('totalTotal').innerHTML = totalTotal.toFixed(2).replace(
                            /\d(?=(\d{3})+\.)/g, '$&,');

                    }
                    $(padre).find('.id_producto').val(ui.item.id);
                }
            })
        });
        $("#formEnviar").on('submit', function() {
            console.log('Enviando');
            $("#botonEnviar").prop('disabled', true);
        });
    </script>

    <script>
        let basePrice = 120.00;
        let prices = [];
        let inputCurrentPrice = null;

        function updatePriceLabel() {
            const priceRange = document.getElementById('priceRange');
            const priceLabel = document.getElementById('priceLabel');
            priceLabel.textContent = `Precio a aplicar: Q${prices[priceRange.value].toFixed(2)}`;
        }

        function updateModalPrices() {
            document.getElementById('pricePiso').textContent = `Precio Piso: Q${(basePrice * 0.95).toFixed(2)}`;
            document.getElementById('priceBase').textContent = `Precio Base: Q${basePrice.toFixed(2)}`;
            document.getElementById('priceTope').textContent = `Precio Tope: Q${(basePrice * 1.05).toFixed(2)}`;
        }

        function applyPrice() {
            const priceRange = document.getElementById('priceRange').value;
            const selectedPrice = prices[priceRange];
            inputCurrentPrice.value = selectedPrice.toFixed(2);
            alert(`Precio aplicado: Q${selectedPrice.toFixed(2)}`);
            $('#priceModal').modal('hide');
        }

        // Initialize the labels with the base prices
        // document.addEventListener('DOMContentLoaded', (event) => {
        //     updateModalPrices();
        //     updatePriceLabel();
        // });

        // Re-initialize prices when the modal is opened
        // $('#priceModal').on('show.bs.modal', function(e) {
        //     updateModalPrices();
        //     updatePriceLabel();
        // });

        function toggleModal(element) {
            console.log(element.parentElement.parentElement.parentElement);
            let precioSuggestions = element.parentElement.parentElement.parentElement.getElementsByClassName(
                'precio_sugerido');
            let clienteModal = document.getElementById('modal-name-cliente');
            clienteModal.textContent = document.getElementById('exampleFormControlSelect1').selectedOptions[0].textContent;
            console.log(precioSuggestions[0].value);
            basePrice = parseFloat(precioSuggestions[0].value);
            prices = [basePrice * 0.95, basePrice, basePrice * 1.05];
            inputCurrentPrice = precioSuggestions[0];
            updateModalPrices();
            updatePriceLabel();
            const modalElement = $('#priceModal');
            if (modalElement.hasClass('show')) {
                modalElement.modal('hide');
            } else {
                modalElement.modal('show');
            }
        }
    </script>
@endsection
