<?php $__env->startSection('content'); ?>
<style>
  .form-check{
    display: inline-block;
    top: -15px;
    left: 13px;
  }
  .verTotal22{
    text-align: right;
    margin-right: 400px;
    font-size: 17px;
    font-weight: 700;
  }
  .regresar{
    margin-top: -10px;
    padding-left: 6px;
  }
  .eliminar{
    margin-top: -10px;
    padding-left: 6px;
  }
  .nota_{
    margin-top: -10px;
    padding-left: 6px;
  }

  .fa-upload {
    padding-top: 5px;
    padding-left: 6px;
  }
</style>
<div class="container date-consult">
  <div class="row">
      <div class="md-col-4 my-4">
          <form action="<?php echo e(route('contabilidad.dashboard_facturas')); ?>" method="POST">
              <?php echo csrf_field(); ?>
              <div class="d-flex flex-column justify-content-center">
                  <div class="d-flex justify-content-center align-items-center">
                      <p class="font-weight-bolder text-uppercase">Fecha Inicio: <input class="date-picker"
                              type="date" name="fechaInicio" id="datepicker"></p>
                      <p class="font-weight-bolder text-uppercase">Fecha Final: <input class="date-picker"
                              type="date" name="fechaFin" id="datepicker2"></p>
                  </div>
                  <div class="d-flex">
                    
                          <div class="d-flex justify-content-center align-items-center">
                              <div>
                                <button type="submit" class="btn btn-dark mx-auto">Consultar</button>
                              </div>
                              <?php if(isset($salidasAlmacen->fechaInicio)): ?>
                              <div class="d-flex">
                                <p class="blockquote mx-2">Fecha consultada</p>
                                <p class="blockquote"> del  <strong><?php echo e($salidasAlmacen->fechaInicio); ?>  </strong></p>
                                <p class="blockquote">- al -<strong><?php echo e($salidasAlmacen->fechaFin); ?> </strong></p>
                              </div>
                              <?php endif; ?>
                          </div>
                  </div>
                  
              </div>
          </form>
      </div>
  </div>
</div>
<form action="<?php echo e(route('contabilidad.recibo_caja_facturas')); ?>" method="POST">
  <?php echo csrf_field(); ?>
<div id="contenedor-dashboard" class="container-fluid">
  <div class="row ">
    <div class="col-md-12">
      <h2>facturas</h2>
      <p class="verTotal22">TOTAL: <span class="total_cliente"></span></p>
      <input type="submit"  class="botonColorNaranja" value="RECIBO DE CAJA.">
    </div>
  </div>
  <div class="col-md-12">
    <br>

    <table id="example2" class="display" style="width:100%">
      <thead>
        <tr>
          <td>ID</td>
          <td>Fecha</td>
          <td>Cliente</td>
          <td>Cantidad</td>
          <td>Producto</td>
          <td>Precio</td>
          <td>Factura</td>
          
          <td>Abono</td>
          <td>Saldo</td>
          <td>Nota</td>
          <td>FEL</td>
          <td>Acción</td>
        </tr>
      </thead>
      <tbody>      
        <?php $__currentLoopData = $salidasAlmacen; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $op): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <?php if($op->total-$op->abono > 0): ?>
          <tr>
            <td><?php echo e($op->id); ?></td>
            <td><?php echo e(date("d/m/Y h:i:s", strtotime($op->created_at))); ?></td>
            <td>
              <?php echo e($op->cliente->nombre??''); ?>

              <?php if($op->saldo_favor): ?>
              (<?php echo e(number_format($op->saldo_favor,2,'.',',')); ?> <a href="<?php echo e(route('contabilidad.editar_recibos',$op->id_saldo)); ?>" target="_blank" title="Editar recibo"><i class="fas fa-search-plus"></i></a>)      
              <?php endif; ?>
            </td>
            <td><?php echo e($op->cantidad??''); ?></td>
            <td><?php echo e($op->producto->nombre??''); ?></td>
            <td><?php echo e(number_format($op->precio,2,'.',',')); ?></td>
            <!--- factura --->
            <td>
            <?php if($op->nota): ?>
              <?php if($op->nota->estatus == 1): ?>
                <?php echo e(number_format($op->total,2,'.',',')); ?>

              <?php else: ?>
                <?php if($op->nota->id_tipo==1): ?>
                  <?php echo e(number_format(($op->total - $op->nota->cantidad),2,'.',',')); ?>

                <?php else: ?>
                  <?php echo e(number_format(($op->total + $op->nota->cantidad),2,'.',',')); ?>

                <?php endif; ?>
              <?php endif; ?>
            <?php else: ?>
                <?php echo e(number_format($op->total,2,'.',',')); ?>

            <?php endif; ?>
            </td>
            <!--- abono --->
            <td><?php echo e(number_format($op->abono,2,'.',',')); ?></td>

            <!--- saldo --->
            <td>
              <?php if($op->nota): ?>
                <?php if($op->nota->estatus == 1): ?>
                  <?php echo e(number_format($op->total - $op->abono,2,'.',',')); ?>

                <?php else: ?>
                  <?php if($op->nota->id_tipo==1): ?>
                    <?php echo e(number_format(($op->total + $op->abono),2,'.',',')); ?>

                  <?php else: ?>
                    <?php echo e(number_format(($op->total - $op->abono),2,'.',',')); ?>

                  <?php endif; ?>
                    
                <?php endif; ?>
              <?php else: ?>
                  <?php echo e(number_format($op->total - $op->abono,2,'.',',')); ?>

              <?php endif; ?>
              
            </td>
            <!--- nota --->
            <td>
              <?php if($op->nota): ?>

                <?php if($op->nota->estatus): ?>
                    
                <?php else: ?>                    
                  <?php if($op->nota->id_tipo==1): ?>
                    Q <?php echo e($op->nota->cantidad); ?> debito
                  <?php else: ?>
                    Q <?php echo e($op->nota->cantidad); ?> credito
                  <?php endif; ?>
                <?php endif; ?>
              <?php endif; ?>
            </td>

            <td>
              <?php if($op->nombre_img==1): ?>
              <a href="<?php echo e(asset("/facturas/".$op->no_sat.'.png')); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
              <?php else: ?>
              
              <?php if($op->archivo_factura): ?>
              <a href="<?php echo e(asset("/facturas/".$op->archivo_factura)); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
              <?php else: ?>
              <a href="<?php echo e(asset("/facturas/".$op->no_sat.'.pdf')); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
              <?php endif; ?>
              <br>
                <?php if($op->archivo_factura2): ?>
                  <a href="<?php echo e(asset("/facturas/".$op->archivo_factura2)); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
                <?php endif; ?>
                <br>
                <?php if($op->archivo_factura3): ?>
                  <a href="<?php echo e(asset("/facturas/".$op->archivo_factura3)); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
                <?php endif; ?>
                <br>
                <?php if($op->archivo_factura4): ?>
                  <a href="<?php echo e(asset("/facturas/".$op->archivo_factura4)); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
                <?php endif; ?>
                <br>
                <?php if($op->archivo_factura5): ?>
                  <a href="<?php echo e(asset("/facturas/".$op->archivo_factura5)); ?>" target='_blank'><i class="fas fa-camera"></i> <?php echo e($op->no_sat); ?></a>
                <?php endif; ?>
              <?php endif; ?>
              
            </td>
            <td class="d-flex justify-content-around align-items-center">
              
              <div class="form-group form-check"><input type="checkbox" data-total="<?php echo e($op->total-$op->abono); ?>" data-fel="<?php echo e($op->no_sat); ?>" value="<?php echo e($op->id); ?>" name="facturas_cancelar[]" class="form-check-input"></div>
              
             <a href="<?php echo e(route('contabilidad.regresar_factura',$op->id)); ?>" class="regresar" title="Revertir"><i class="fas fa-undo-alt"></i></a>

              <a class="nota_" data-toggle="modal" data-id_factura="<?php echo e($op->id); ?>" data-cantidad="<?php echo e($op->total); ?>" data-target="#entregaInventario" title="Nota de debito/crédito"><i class="fas fa-file-invoice-dollar"></i></a>

              <div class="form-group">
                <a href="<?php echo e(route('contabilidad.ver_factura',['idFactura'=>$op->id])); ?>" title="Subir nuevo archivo"><i class="fas fa-upload"></i></a>
              </div>
            </td>
          </tr>
          <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </tbody>
      <tfoot>
        <tr id="total_final2">
          <td id="total_final">.TOTAL</td>
          <td></td>
          <td id="data1"></td>
          <td id="data2"></td>
          <td id="data3"></td>
          <td id="data4"></td>
          <td id="data5"></td>
          <td id="data6"></td>
          <td id="data7"></td>
          <td id="data8"></td>
          <td id="data9"></td>
          <td id="data10"></td>
        </tr>
      </tfoot>
    </table>
  </form>
  <div class="row">
    <div class="col-md-12">
      <p class="verTotal22">TOTAL: <span class="total_cliente"></span></p>
    </div>
  </div>
  </div>
</div>
<div class="modal fade" id="entregaInventario" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">NOTA DE DÉBITO/CRÉDITO</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label for="inputState">TIPO</label>
          <select id="tipo_debito" name="tipo_debito" class="form-control">
            <option value="1">NOTA DE DEBITO</option>
            <option value="2">NOTA DE CREDITO</option>
          </select>
        </div>
        <div class="form-group">
            <label for="recipient-name" class="col-form-label">Valor:</label>
            <input type="number" class="form-control" id="cantidad2" name="cantidad">
            <input type="hidden" class="form-control" id="id_factura" name="id_factura">
        </div>
        <div class="form-group">
            <label for="message-text" class="col-form-label">Observaciones:</label>
            <textarea id="observaciones2" class="form-control" id="message-text"></textarea>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" id="btnTerminarOrdenInventario" class="btn btn-primary">GUARDAR</button>
      </div>
    </div>
  </div>
</div>
<script>
    jQuery.fn.dataTable.Api.register( 'sum()', function ( ) {
    return this.flatten().reduce( function ( a, b ) {
        if ( typeof a === 'string' ) {
            a = a.replace(/[^\d.-]/g, '') * 1;
        }
        if ( typeof b === 'string' ) {
            b = b.replace(/[^\d.-]/g, '') * 1;
        }
 
        return a + b;
    }, 0 );
  } );
  var token = '<?php echo e(csrf_token()); ?>';
  
  $('.form-check-input').change(function () {
    var total=0;
    var facturas=new Array();
    $($('.form-check-input').get().reverse()).each(function($seleccion){
      
      if ($(this).is(':checked')) {
        var fel=$(this).attr('data-fel');
        const buscar_fel = facturas.filter(element => element == fel);
        if(buscar_fel.length==0){
          facturas.push(fel); 
        }
        if(facturas.length>=5){
          alert('Solo puedes ingresar 4 facturas por recibo');
          $(this).prop( "checked", false );
          console.log($(this));
          return ;
        }
        var subtotal=parseFloat($(this).attr('data-total'));
        total=total+subtotal;
      }
      
    })
    
    document.querySelectorAll('.total_cliente').forEach(function(element){
      element.innerHTML='Q '+total.toFixed(2);
    });
 });

 $(".regresar").click(function(){
    var confirmacion=confirm("Desea regresar la factura a pendiente de facturar?");
    if(confirmacion){
      return true;
    }else{
      return false;
    }
    return false;
  })
  $(".eliminar").click(function(){
    var confirmacion=confirm("Desea eliminar la factura?");
    if(confirmacion){
      return true;
    }else{
      return false;
    }
    return false;
  })
  $('.nota_').each(function(){
    $(this).click(function(){
      var id_factura=$(this).attr('data-id_factura');
      $('#id_factura').val(id_factura);
    })
  })
  $('#btnTerminarOrdenInventario').click(function(){
    $('#btnTerminarOrdenInventario').attr('disabled','disabled');
    var inventario=$('#id_inventario2').val();
    $.ajax({
      type:'POST',
      url:'<?php echo e(route('contabilidad.nota_debito')); ?>',
      headers: {'X-CSRF-TOKEN': token},
      data:{
          tipo:$('#tipo_debito').val(),
          cantidad:$('#cantidad2').val(),
          observaciones:$('#observaciones2').val(),
          id_factura:$('#id_factura').val(),
      },
      success:function(data){
        $('#entregaAlmacen').modal('hide');
        location.reload(true);
      }
    });
  })
 $(document).ready(function(){
 $.fn.dataTable.moment( 'DD/MM/YYYY' );
  $('#example2').dataTable( {
    "paging": false,
    "order":[[ 0, "asc" ]],
              dom: 'Bfrtip',
              buttons: [
                  'excel', 'print'
              ],
      drawCallback: function () {
        var api = this.api();

        let dollarUSLocale = Intl.NumberFormat('en-IN');
        $( "#data7" ).html(
          api.column( 8, {page:'current'} ).data().sum().toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
        );
        
      }
  });
})
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('contabilidad.menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/devpwg5/laravelrp.com/resources/views/contabilidad/dashboard_facturas.blade.php ENDPATH**/ ?>